Questions tagged [php7]

PHP 7 is the successor to PHP 5.6, it was released on December 3, 2015. Use this tag for issues relating to development using PHP 7

7 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
1
vote
0answers
88 views

Joomla not logging PHP errors to file with system default error_reporting

I'm using Joomla 3.9 with APACHE + PHP 7.0 with these settings php_flag[display_errors] = On php_flag[display_startup_errors] = On php_value[error_reporting] = E_ALL & ~E_DEPRECATED & ~...
1
vote
0answers
82 views

ob_flush pushes output before Joomla header

I have a module that I've created to test ob_flush buffering off. I need to understand it so I can have some longer modules buffer output to the page as the script goes through long processes. The ...
0
votes
0answers
67 views

Custom component: different redirect when changing language/logging in

I inherited a site with a custom component: an agenda viewer. When I click on an agenda-item from the list and then login (via login module) or change the language, I am not redirected to the agenda ...
0
votes
0answers
62 views

Code works properly but shows data for all users

I am using the latest RS Form Pro with Joomla 3.9, Platform 13.1.0. My code is working properly (thank you guys!) But the data should be limited to each user. The user ID is is not in the table ...
0
votes
0answers
337 views

Joomla 3.9.13 - Error: Failed to start application

I just installed version 3.9 joomla in local using xampp. Once the installation was finished correctly I tried to navigate the site and the backend. After loading a few pages, this annoying error ...
0
votes
0answers
114 views

Access namespaced custom field method from a plugin into another plugin

In one of my previous questions, I learned how to properly set up a namespaced custom form field, but it turns out that it's only available within its plugin scope for some reason. I need the field ...
0
votes
1answer
1k views

Problems When I change my PHP version to 7.2(Error 0 Using $this when not in object context )

I have my website in production now, The site works very good with PHP 5.6 and 7.0 but When I try to change the PHP version to 7.2 the website doesn't work. It shows me an error message like this: I'...